Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.manager.servlets.jsp.taglib
Class SearchTagExtraInfo

    java.lang.Object
      javax.servlet.jsp.tagext.TagExtraInfo
          com.bea.content.manager.servlets.jsp.taglib.SearchTagExtraInfo

    public class SearchTagExtraInfo

extends javax.servlet.jsp.tagext.TagExtraInfo

The tag extra info the SearchTag.

This will specify a script variable named from the id attribute of type com.bea.content.Node[].(CR336306)If the versionedContent is true, then named variable from the id attribute is specified as com.bea.content.virtual.version.Version[]

Field Summary
`static String` | `NODE_CLASS_NAME`
`static String` | `VERSION_CLASS_NAME`

Constructor Summary
`SearchTagExtraInfo()`

Method Summary
`javax.servlet.jsp.tagext.VariableInfo[]` | `getVariableInfo(javax.servlet.jsp.tagext.TagData data)` Return the extra info needed by the SearchTag.

Methods inherited from class javax.servlet.jsp.tagext.TagExtraInfo
`getTagInfo, isValid, setTagInfo, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NODE_CLASS_NAME

    public static final String NODE_CLASS_NAME

### VERSION_CLASS_NAME

    public static final String VERSION_CLASS_NAME

Constructor Detail

### SearchTagExtraInfo

    public SearchTagExtraInfo()

Method Detail

### getVariableInfo

    public javax.servlet.jsp.tagext.VariableInfo[] getVariableInfo(javax.servlet.jsp.tagext.TagData data)

  Return the extra info needed by the SearchTag.

  Overrides:
    `getVariableInfo` in class `javax.servlet.jsp.tagext.TagExtraInfo`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.